会话
获取访客会话活动
GET
/api/websites/{websiteId}/sessions/{sessionId}/activity使用请求的日期范围和可选 Distinct ID,返回指定会话以及通过访客身份关联会话的活动。
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| websiteIdrequired | string | ID of the website. |
| sessionIdrequired | string | ID of the visitor session. |
Query parameters
| Name | Type | Description |
|---|---|---|
| startAtrequired | integer | Start of the date range as a Unix timestamp in milliseconds. |
| endAtrequired | integer | End of the date range as a Unix timestamp in milliseconds. |
| distinctId | string | Custom identifier assigned to the visitor. |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| createdAtrequired | string | Date and time the record was created. |
| eventIdrequired | string | ID of the event. |
| eventNamerequired | string | Name of the custom event. |
| eventTyperequired | number | Event type: 1 for a pageview or 2 for a custom event. |
| hasDatarequired | boolean | |
| hostnamerequired | string | Hostname on which the activity occurred. |
| referrerDomainrequired | string | Domain of the referring page. |
| urlPathrequired | string | Path portion of the page URL. |
| urlQueryrequired | string | Query string portion of the page URL. |
| visitIdrequired | string | ID of the visit. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL